petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSRollBack

Rolls back one time step

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSRollBack(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### See Also

TSCreate(), TSSetUp(), TSDestroy(), TSSolve(), TSSetPreStep(), TSSetPreStage(), TSInterpolate()

### Level

advanced

### Location

src/ts/interface/ts.c

### Implementations

TSRollBack_ARKIMEX in src/ts/impls/arkimex/arkimex.c
TSRollBack_BDF in src/ts/impls/bdf/bdf.c
TSRollBack_RK in src/ts/impls/explicit/rk/rk.c
TSRollBack_Alpha in src/ts/impls/implicit/alpha/alpha1.c
TSRollBack_Alpha in src/ts/impls/implicit/alpha/alpha2.c
TSRollBack_Theta in src/ts/impls/implicit/theta/theta.c
TSRollBack_RosW in src/ts/impls/rosw/rosw.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages